## com.puppycrawl.tools.checkstyle.api
Class FullIdent

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.FullIdent

    public final class FullIdent

extends Object

Represents a full identifier, including dots, with associated position information.

Identifiers such as `java.util.HashMap` are spread across multiple AST nodes in the syntax tree (three IDENT nodes, two DOT nodes). A FullIdent represents the whole String (excluding any intermediate whitespace), which is often easier to work with in Checks.

Author:
  Oliver Burn
See Also:
  `TokenTypes.DOT`, `TokenTypes.IDENT`

Method Summary
`static FullIdent` `createFullIdent(DetailAST aAST)` Creates a new FullIdent starting from the specified node.
`static FullIdent` `createFullIdentBelow(DetailAST aAST)` Creates a new FullIdent starting from the child of the specified node.
`int` `getColumnNo()`
`int` `getLineNo()`
`String` `getText()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getText

    public String getText()

  Returns:
    the text

### getLineNo

    public int getLineNo()

  Returns:
    the line number

### getColumnNo

    public int getColumnNo()

  Returns:
    the column number

### createFullIdent

    public static FullIdent createFullIdent(DetailAST aAST)

  Creates a new FullIdent starting from the specified node.

  Parameters:
    `aAST` - the node to start from
  Returns:
    a `FullIdent` value

### createFullIdentBelow

    public static FullIdent createFullIdentBelow(DetailAST aAST)

  Creates a new FullIdent starting from the child of the specified node.

  Parameters:
    `aAST` - the parent node from where to start from
  Returns:
    a `FullIdent` value

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2011. All Rights Reserved.